#32/64
%define name	openmsx-catapult
%define oname	catapult
%define version	0.14.0
%define	release	%mkrel 1

Summary:	Graphical interface for openMSX
Name:		%name
Version:	%version
Release:	%release
License:	GPL
Group:		Emulators
Source0:	%{name}-%{version}.tar.xz
Patch0:		%{name}-custommk.patch
BuildRoot:      %_tmppath/%{name}-%{version}-buildroot
URL:		http://openmsx.sourceforge.net/
Requires:	openmsx
BuildRequires:	%{_lib}wxgtku2.8-devel
BuildRequires:	%{_lib}xml2-devel
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

%description
Catapult allows to control graphically almost all the command-line parameters of openMSX.

%prep
%setup -q
%patch0 -p1

%build

%make

%install
%__rm -rf %{buildroot}

# install bin files
%__mkdir_p %{buildroot}%{_bindir}
%__cp derived/*/bin/catapult %{buildroot}%{_bindir}/catapult
%__mkdir_p %{buildroot}%{_datadir}/openMSX/catapult/resources/bitmaps
%__mkdir_p %{buildroot}%{_datadir}/openMSX/catapult/resources/dialogs
%__cp derived/*/resources/bitmaps/* %{buildroot}%{_datadir}/openMSX/catapult/resources/bitmaps/
%__cp derived/*/resources/dialogs/* %{buildroot}%{_datadir}/openMSX/catapult/resources/dialogs/
%__mkdir_p %{buildroot}%{_iconsdir}
%__cp derived/*/resources/bitmaps/about.png %{buildroot}%{_iconsdir}
%__mv %{buildroot}%{_iconsdir}/about.png %{buildroot}%{_iconsdir}/catapult.png

# create desktop file
%__mkdir_p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{oname}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=openMSX Catapult
Comment=%{summary}
Type=Application
Exec=catapult
Icon=catapult
DocPath=%{_docdir}/%{name}-%{version}/manual/index.html
Terminal=false
Categories=X-MandrivaLinux-MoreApplications-Emulators;Emulator;
EOF


%clean
%__rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%files

%doc README
%{_bindir}/catapult
%{_datadir}/openMSX/catapult/*
%{_datadir}/applications/%{oname}.desktop
%{_iconsdir}/catapult.png


%changelog
* Mon Sep 25 2017 Agent Smith <ruidobranco@yahoo.com.br> 0.14.0-1pclos2017
- updated package to latest source.

* Tue Jul 18 2017 Agent Smith <ruidobranco@yahoo.com.br> 0.13.0-1pclos2017
- updated package to latest source.

* Mon Feb 01 2016 Agent Smith <ruidobranco@yahoo.com.br> 0.12.0-1pclos2016
- updated package to latest source.

* Mon Jun 22 2015 bb <bb> 0.11.0-2pclos2015
- fix build wxgtk

* Thu Mar 12 2015 Agent Smith <ruidobranco@yahoo.com.br> 0.11.0-1pclos2015
- updated package to latest source, adapted to run on both 32/64 archs.

* Mon Sep 1 2008 Gianvacca <alessio.adamo@gmail.com> 0.6.3-1pclos2007
  -first release for PCLinuxOS 2007

